Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class FieldQuery.QueryPhraseMap

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.FieldQuery.QueryPhraseMap

Enclosing class:
  FieldQuery

    public static class FieldQuery.QueryPhraseMap

extends Object

Internal structure of a query for highlighting: represents a nested query structure

Constructor Summary
`FieldQuery.QueryPhraseMap(FieldQuery fieldQuery)`

Method Summary
`float` | `getBoost()`
`int` | `getSlop()`
`FieldQuery.QueryPhraseMap` | `getTermMap(String term)`
`int` | `getTermOrPhraseNumber()`
`boolean` | `isTerminal()`
`boolean` | `isValidTermOrPhrase(List<FieldTermStack.TermInfo> phraseCandidate)`
`FieldQuery.QueryPhraseMap` | `searchPhrase(List<FieldTermStack.TermInfo> phraseCandidate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldQuery.QueryPhraseMap

    public FieldQuery.QueryPhraseMap(FieldQuery fieldQuery)

Method Detail

### getTermMap

    public FieldQuery.QueryPhraseMap getTermMap(String term)

### isTerminal

    public boolean isTerminal()

### getSlop

    public int getSlop()

### getBoost

    public float getBoost()

### getTermOrPhraseNumber

    public int getTermOrPhraseNumber()

### searchPhrase

    public FieldQuery.QueryPhraseMap searchPhrase(List<FieldTermStack.TermInfo> phraseCandidate)

### isValidTermOrPhrase

    public boolean isValidTermOrPhrase(List<FieldTermStack.TermInfo> phraseCandidate)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.